eID middleware |

# eIDMW::PTEID_Object Class Reference

Base class for the object of PTEID SDK (Can not be instantiated). More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Object:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_Object ()=0
| Destructor.
NOEXPORT_PTEIDSDK void | Init (const SDK_Context *context, void *impl)
| For internal use : Initialize pimpl.
NOEXPORT_PTEIDSDK void | Release ()
| Release the objects instantiated within this PTEID_Object.
## Protected Member Functions
| PTEID_Object (const SDK_Context *context, void *impl)
| For internal use : Constructor.
void | addObject (PTEID_Object *impl)
| For internal use : Add linked object.
void | backupObject (unsigned long idx)
| For internal use : Backup linked object.
PTEID_Object * | getObject (unsigned long idx)
| For internal use : Return an object by its index.
PTEID_Object * | getObject (void *impl)
| For internal use : Return an object by its impl.
void | delObject (unsigned long idx)
| For internal use : Delete an object by its index.
void | delObject (void *impl)
| For internal use : Delete an object by its impl.
void | checkContextStillOk () const
| For internal use : check if the Context is still correct (the card hasn't changed).
| PTEID_Object (const PTEID_Object &obj)
| Copy not allowed - not implemented.
PTEID_Object & | operator= (const PTEID_Object &obj)
| Copy not allowed - not implemented.
## Protected Attributes
bool | m_delimpl
| For internal use : m_impl object must be deleted.
void * | m_impl
| For internal use : pimpl pointer.
unsigned long | m_ulIndexExtAdd
| For internal use : extended add object.
std::map< unsigned long, PTEID_Object * > | m_objects
| For internal use : Map of object instantiated within this PTEID_Object.
SDK_Context * | m_context
| For internal use : context structure.

## Detailed Description

Base class for the object of PTEID SDK (Can not be instantiated).

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Object::~PTEID_Object | ( |  | ) | `[pure virtual]`

Destructor.

eIDMW::PTEID_Object::PTEID_Object | ( | const SDK_Context * | context,
|  | void * | impl |
| ) |  |  | `[protected]`

For internal use : Constructor.

eIDMW::PTEID_Object::PTEID_Object | ( | const PTEID_Object & | obj | ) | `[protected]`

Copy not allowed - not implemented.

## Member Function Documentation

void eIDMW::PTEID_Object::addObject | ( | PTEID_Object * | impl | ) | `[protected]`

For internal use : Add linked object.

void eIDMW::PTEID_Object::backupObject | ( | unsigned long | idx | ) | `[protected]`

For internal use : Backup linked object.

void eIDMW::PTEID_Object::checkContextStillOk | ( |  | ) | const`[protected]`

For internal use : check if the Context is still correct (the card hasn't changed).

void eIDMW::PTEID_Object::delObject | ( | void * | impl | ) | `[protected]`

For internal use : Delete an object by its impl.

void eIDMW::PTEID_Object::delObject | ( | unsigned long | idx | ) | `[protected]`

For internal use : Delete an object by its index.

PTEID_Object* eIDMW::PTEID_Object::getObject | ( | void * | impl | ) | `[protected]`

For internal use : Return an object by its impl.

PTEID_Object* eIDMW::PTEID_Object::getObject | ( | unsigned long | idx | ) | `[protected]`

For internal use : Return an object by its index.

NOEXPORT_PTEIDSDK void eIDMW::PTEID_Object::Init | ( | const SDK_Context * | context,
|  | void * | impl |
| ) |  |  |

For internal use : Initialize pimpl.

PTEID_Object& eIDMW::PTEID_Object::operator= | ( | const PTEID_Object & | obj | ) | `[protected]`

Copy not allowed - not implemented.

NOEXPORT_PTEIDSDK void eIDMW::PTEID_Object::Release | ( |  | ) |

Release the objects instantiated within this PTEID_Object.

Automatically call in the destructor.

## Member Data Documentation

SDK_Context* eIDMW::PTEID_Object::m_context`[protected]`

For internal use : context structure.

bool eIDMW::PTEID_Object::m_delimpl`[protected]`

For internal use : m_impl object must be deleted.

void* eIDMW::PTEID_Object::m_impl`[protected]`

For internal use : pimpl pointer.

std::map<unsigned long,PTEID_Object *> eIDMW::PTEID_Object::m_objects`[protected]`

For internal use : Map of object instantiated within this PTEID_Object.

unsigned long eIDMW::PTEID_Object::m_ulIndexExtAdd`[protected]`

For internal use : extended add object.

The documentation for this class was generated from the following file:

- eidlib.h